diff --git a/doc/src/sgml/ref/pg_xlogdump.sgml b/doc/src/sgml/ref/pg_xlogdump.sgml
index cfb6d87259..e66221a41c 100644
--- a/doc/src/sgml/ref/pg_xlogdump.sgml
+++ b/doc/src/sgml/ref/pg_xlogdump.sgml
@@ -117,8 +117,13 @@ PostgreSQL documentation
       <term><option>--path=<replaceable>path</replaceable></option></term>
       <listitem>
        <para>
-        Directory in which to find log segment files.  The default is to search
-        for them in the <literal>pg_wal</literal> subdirectory of the current
+        Specifies a directory in which to find log segment files.
+        If log segment files are not found in the directory defined, a search
+        is done as well in <literal>pg_wal</literal> subdirectory of the
+        defined path. The default is to search for them in the current
+        directory, then in the <literal>pg_wal</literal> subdirectory of the
+        current directory, and finally in the <literal>pg_wal</literal>
+        subdirectory of <envar>PGDATA</envar>.
         directory.
        </para>
       </listitem>
diff --git a/src/bin/pg_xlogdump/pg_xlogdump.c b/src/bin/pg_xlogdump/pg_xlogdump.c
index 0ad441e22e..26d784459d 100644
--- a/src/bin/pg_xlogdump/pg_xlogdump.c
+++ b/src/bin/pg_xlogdump/pg_xlogdump.c
@@ -679,8 +679,10 @@ usage(void)
 	printf(_("  -e, --end=RECPTR       stop reading at log position RECPTR\n"));
 	printf(_("  -f, --follow           keep retrying after reaching end of WAL\n"));
 	printf(_("  -n, --limit=N          number of records to display\n"));
-	printf(_("  -p, --path=PATH        directory in which to find log segment files\n"
-			 "                         (default: ./pg_wal)\n"));
+	printf(_("  -p, --path=PATH        directory in which to find log segment files,\n"
+			 "                         the pg_wal subdirectory of defined directory being\n"
+			 "                         looked at as well. (default: current directory,\n"
+			 "                         ./pg_wal and PGDATA/pg_wal)\n"));
 	printf(_("  -r, --rmgr=RMGR        only show records generated by resource manager RMGR\n"
 			 "                         use --rmgr=list to list valid resource manager names\n"));
 	printf(_("  -s, --start=RECPTR     start reading at log position RECPTR\n"));
